package com.liquidnet.service.dragon.service;

import java.math.BigDecimal;

public interface IDragonOrderRefundsService {

    void sendRedisQueue();

    /**
     *
     * @param trade_no => refund_code
     * @param out_trade_no  => pay_code
     * @param reason
     * @param returnUrl
     * @param price 退款金额
     */
    void dragonRefund(String trade_no, String out_trade_no, String reason, String returnUrl, BigDecimal price);

    void weyPayRefund();

    void aliPayRefund(String trade_no, String out_trade_no, String reason, String returnUrl, BigDecimal price);
}
